This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502540 - remove-with-leaves.py:71 postresolve_hook backtrace
remove-with-leaves.py:71 postresolve_hook backtrace
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 21:43 EDT by Jens Petersen
Modified: 2014-01-21 18:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 15:55:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-25 21:43:47 EDT
Description of problem:
I am getting backtraces with 

Version-Release number of selected component (if applicable):
yum-plugin-remove-with-leaves-1.1.21-2.fc11

Steps to Reproduce:
1. update with PK
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1793, in _runYumTransaction
    rc, msgs = self.yumbase.buildTransaction()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 719, in buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/remove-with-leaves.py", line 71, in postresolve_hook
    if opts.remove_leaves or remove_always:
AttributeError: 'NoneType' object has no attribute 'remove_leaves'

Expected results:
no backtrace

Additional info:
"yum upgrade" is fine so is it a PK issue?
Comment 1 seth vidal 2009-05-28 15:55:51 EDT
No, this is a problem with this plugin.

and was fixed back in april:

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=99b987cb25cb33c7d3525ea654848a16627ba988

the latest yum-utils in updates-testing should fix this.

Note You need to log in before you can comment on or make changes to this bug.